[SciPy-user] scipy.optimize.leastsq error estimates

Chiara Caronna chiaracaronna@hotmail....
Wed Feb 14 07:34:51 CST 2007


Ok, the error I got is this:

>>>import scipy.odr
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/local/lib/python2.4/site-packages/scipy/odr/__init__.py", line 
49, in
?
    import odrpack
  File "/usr/local/lib/python2.4/site-packages/scipy/odr/odrpack.py", line 
103, in
?
    from scipy.sandbox.odr import __odrpack
ImportError: No module named odr

can you check you file : 
"/usr/local/lib/python2.4/site-packages/scipy/odr/odrpack.py" at  line 103? 
I think the problem is that it tries to import something from 
scipy.sandbox.odr that doesn't exist...


>From: Nils Wagner <nwagner@iam.uni-stuttgart.de>
>Reply-To: SciPy Users List <scipy-user@scipy.org>
>To: SciPy Users List <scipy-user@scipy.org>
>Subject: Re: [SciPy-user] scipy.optimize.leastsq error estimates
>Date: Wed, 14 Feb 2007 14:27:30 +0100
>
>Chiara Caronna wrote:
> > Ok, I have an odr directory in Lib/scipy and the file setup.py looks ok:
> >
> > def configuration(parent_package='',top_path=None):
> >     from numpy.distutils.misc_util import Configuration
> >     config = Configuration('scipy',parent_package,top_path)
> >     config.add_subpackage('cluster')
> >     config.add_subpackage('fftpack')
> >     config.add_subpackage('integrate')
> >     config.add_subpackage('interpolate')
> >     config.add_subpackage('io')
> >     config.add_subpackage('lib')
> >     config.add_subpackage('linalg')
> >     config.add_subpackage('linsolve')
> >     config.add_subpackage('maxentropy')
> >     config.add_subpackage('misc')
> >     config.add_subpackage('odr')
> >     config.add_subpackage('optimize')
> >     config.add_subpackage('sandbox')
> >     config.add_subpackage('signal')
> >     config.add_subpackage('sparse')
> >     config.add_subpackage('special')
> >     config.add_subpackage('stats')
> >     config.add_subpackage('ndimage')
> >     config.add_subpackage('stsci')
> >     config.add_subpackage('weave')
> >     config.make_svn_version_py()  # installs __svn_version__.py
> >     config.make_config_py()
> >     return config
> >
> > if __name__ == '__main__':
> >     from numpy.distutils.core import setup
> >     setup(**configuration(top_path='').todict())
> >
> > so.... why it doesn't work?!
> >
> >
>
>Sorry I am running out of ideas ?
>It works for me
>
>Python 2.4.1 (#1, Oct 13 2006, 16:51:58)
>[GCC 4.0.2 20050901 (prerelease) (SUSE Linux)] on linux2
>Type "help", "copyright", "credits" or "license" for more information.
> >>> import scipy.odr
> >>> import scipy
> >>> scipy.__version__
>'0.5.3.dev2707'
>
>Nils
>
>_______________________________________________
>SciPy-user mailing list
>SciPy-user@scipy.org
>http://projects.scipy.org/mailman/listinfo/scipy-user

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/



More information about the SciPy-user mailing list